Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::SceneQueryResult Struct Reference

Holds the results of a scene query. More...

`#include <OgreSceneQuery.h>`

List of all members.

## Public Attributes

SceneQueryResultMovableList | movables
| List of movable objects in the query (entities, particle systems etc).
SceneQueryResultWorldFragmentList | worldFragments
| List of world fragments.

## Detailed Description

Holds the results of a scene query.

Definition at line 185 of file OgreSceneQuery.h.

## Member Data Documentation

SceneQueryResultMovableList Ogre::SceneQueryResult::movables

| List of movable objects in the query (entities, particle systems etc). Definition at line 188 of file OgreSceneQuery.h. Referenced by Ogre::RegionSceneQuery::queryResult().

SceneQueryResultWorldFragmentList Ogre::SceneQueryResult::worldFragments

| List of world fragments. Definition at line 190 of file OgreSceneQuery.h. Referenced by Ogre::RegionSceneQuery::queryResult().

The documentation for this struct was generated from the following file:

- OgreSceneQuery.h

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:51:36 2004